# Uses of Class
org.apache.sysds.runtime.compress.colgroup.mapping.AMapToData

Packages that use AMapToData
Package
Description
org.apache.sysds.runtime.compress.colgroup
org.apache.sysds.runtime.compress.colgroup.insertionsort
org.apache.sysds.runtime.compress.colgroup.mapping
org.apache.sysds.runtime.compress.colgroup.offset
org.apache.sysds.runtime.compress.estim.encoding
org.apache.sysds.runtime.frame.data.columns

## Uses of AMapToData in org.apache.sysds.runtime.compress.colgroup

Methods in org.apache.sysds.runtime.compress.colgroup that return AMapToData
Modifier and Type
Method
Description
`AMapToData`
ColGroupConst.`getMapToData()`
`AMapToData`
ColGroupDDC.`getMapToData()`
`AMapToData`
ColGroupDDCLZW.`getMapToData()`
`AMapToData`
ColGroupEmpty.`getMapToData()`
`AMapToData`
ColGroupSDC.`getMapToData()`
`AMapToData`
ColGroupSDCFOR.`getMapToData()`
`AMapToData`
ColGroupSDCZeros.`getMapToData()`
`AMapToData`
IMapToDataGroup.`getMapToData()`
Methods in org.apache.sysds.runtime.compress.colgroup with parameters of type AMapToData
Modifier and Type
Method
Description
`static AColGroup`
ColGroupDDC.`create(IColIndex colIndexes, IDictionary dict, AMapToData data, int[] cachedCounts)`
`static AColGroup`
ColGroupDDCFOR.`create(IColIndex colIndexes, IDictionary dict, AMapToData data, int[] cachedCounts, double[] reference)`
`static AColGroup`
ColGroupDDCLZW.`create(IColIndex colIndexes, IDictionary dict, AMapToData data, int[] cachedCounts)`
`static AColGroup`
ColGroupDeltaDDC.`create(IColIndex colIndexes, IDictionary dict, AMapToData data, int[] cachedCounts)`
`static AColGroup`
ColGroupSDC.`create(IColIndex colIndices, int numRows, IDictionary dict, double[] defaultTuple, AOffset offsets, AMapToData data, int[] cachedCounts)`
`static AColGroup`
ColGroupSDCFOR.`create(IColIndex colIndexes, int numRows, IDictionary dict, AOffset offsets, AMapToData data, int[] cachedCounts, double[] reference)`
`static AColGroup`
ColGroupSDCZeros.`create(IColIndex colIndices, int numRows, IDictionary dict, AOffset offsets, AMapToData data, int[] cachedCounts)`

## Uses of AMapToData in org.apache.sysds.runtime.compress.colgroup.insertionsort

Methods in org.apache.sysds.runtime.compress.colgroup.insertionsort that return AMapToData
Modifier and Type
Method
Description
`AMapToData`
AInsertionSorter.`getData()`

## Uses of AMapToData in org.apache.sysds.runtime.compress.colgroup.mapping

Subclasses of AMapToData in org.apache.sysds.runtime.compress.colgroup.mapping
Modifier and Type
Class
Description
`class`
`MapToBit`
A Bit map containing the values of the map inside a long array.
`class`
`MapToByte`
`class`
`MapToChar`
`class`
`MapToCharPByte`
`class`
`MapToInt`
`class`
`MapToUByte`
`class`
`MapToZero`
Methods in org.apache.sysds.runtime.compress.colgroup.mapping that return AMapToData
Modifier and Type
Method
Description
`abstract AMapToData`
AMapToData.`append(AMapToData t)`
`AMapToData`
MapToBit.`append(AMapToData t)`
`AMapToData`
MapToByte.`append(AMapToData t)`
`AMapToData`
MapToChar.`append(AMapToData t)`
`AMapToData`
MapToCharPByte.`append(AMapToData t)`
`AMapToData`
MapToInt.`append(AMapToData t)`
`AMapToData`
MapToZero.`append(AMapToData t)`
`abstract AMapToData`
AMapToData.`appendN(IMapToDataGroup[] d)`
`AMapToData`
MapToBit.`appendN(IMapToDataGroup[] d)`
`AMapToData`
MapToByte.`appendN(IMapToDataGroup[] d)`
`AMapToData`
MapToChar.`appendN(IMapToDataGroup[] d)`
`AMapToData`
MapToCharPByte.`appendN(IMapToDataGroup[] d)`
`AMapToData`
MapToInt.`appendN(IMapToDataGroup[] d)`
`AMapToData`
MapToZero.`appendN(IMapToDataGroup[] d)`
`static AMapToData`
MapToFactory.`create(int[] values, int nUnique)`
Construct a mapping with the given values contained.
`static AMapToData`
MapToFactory.`create(int[] values, MapToFactory.MAP_TYPE t)`
Create a specific mapping based on the integer values given.
`static AMapToData`
MapToFactory.`create(int size, int unique)`
Create and allocate a map with the given size and support for up to the num tuples argument of values
`static AMapToData`
MapToFactory.`create(int size, int[] values, int nUnique)`
Construct a mapping with the given values contained.
`static AMapToData`
MapToFactory.`create(int size, int[] values, int nUnique, int k)`
`static AMapToData`
MapToFactory.`create(int size, MapToFactory.MAP_TYPE t)`
Allocate a specific type of map.
`static AMapToData`
MapToFactory.`create(int unique, IntArrayList values)`
`static AMapToData`
MapToFactory.`readIn(DataInput in)`
General interface to read in an AMapToData.
`AMapToData`
AMapToData.`removeEmpty(boolean[] selectV, int rOut)`
`AMapToData`
AMapToData.`removeEmpty(IntArrayList select)`
Use the offsets of the select vector to choose which values to keep.
`abstract AMapToData`
AMapToData.`resize(int unique)`
Reallocate the map, to a smaller instance if applicable.
`AMapToData`
MapToBit.`resize(int unique)`
`AMapToData`
MapToByte.`resize(int unique)`
`AMapToData`
MapToChar.`resize(int unique)`
`AMapToData`
MapToCharPByte.`resize(int unique)`
`AMapToData`
MapToInt.`resize(int unique)`
`AMapToData`
MapToUByte.`resize(int unique)`
`AMapToData`
MapToZero.`resize(int unique)`
`static AMapToData`
MapToFactory.`resizeForce(AMapToData d, MapToFactory.MAP_TYPE t)`
Force the mapping into an other mapping type.
`abstract AMapToData`
AMapToData.`slice(int l, int u)`
Slice out the range from lower to upper from this map toData.
`AMapToData`
MapToBit.`slice(int l, int u)`
`AMapToData`
MapToByte.`slice(int l, int u)`
`AMapToData`
MapToChar.`slice(int l, int u)`
`AMapToData`
MapToCharPByte.`slice(int l, int u)`
`AMapToData`
MapToInt.`slice(int l, int u)`
`AMapToData`
MapToZero.`slice(int l, int u)`
`AMapToData[]`
AMapToData.`splitReshapeDDC(int multiplier)`
Split this mapping into x smaller mappings according to round robin.
`AMapToData[]`
AMapToData.`splitReshapeDDCPushDown(int multiplier, ExecutorService pool)`
`AMapToData[]`
MapToChar.`splitReshapeDDCPushDown(int multiplier, ExecutorService pool)`
Methods in org.apache.sysds.runtime.compress.colgroup.mapping with parameters of type AMapToData
Modifier and Type
Method
Description
`abstract AMapToData`
AMapToData.`append(AMapToData t)`
`AMapToData`
MapToBit.`append(AMapToData t)`
`AMapToData`
MapToByte.`append(AMapToData t)`
`AMapToData`
MapToChar.`append(AMapToData t)`
`AMapToData`
MapToCharPByte.`append(AMapToData t)`
`AMapToData`
MapToInt.`append(AMapToData t)`
`AMapToData`
MapToZero.`append(AMapToData t)`
`void`
AMapToData.`copy(AMapToData d)`
Copy the values in this map into another mapping object.
`abstract boolean`
AMapToData.`equals(AMapToData e)`
Indicate if the given encoding is equivalent to this encoding
`boolean`
MapToBit.`equals(AMapToData e)`
`boolean`
MapToByte.`equals(AMapToData e)`
`boolean`
MapToChar.`equals(AMapToData e)`
`boolean`
MapToCharPByte.`equals(AMapToData e)`
`boolean`
MapToInt.`equals(AMapToData e)`
`boolean`
MapToZero.`equals(AMapToData e)`
`final void`
AMapToData.`preAggregateDDC_DDC(AMapToData tm, IDictionary td, Dictionary ret, int nCol)`
PreAggregate into dictionary with two sides of DDC.
`void`
MapToBit.`preAggregateDDC_DDCMultiCol(AMapToData tm, IDictionary td, double[] v, int nCol)`
`void`
MapToZero.`preAggregateDDC_DDCMultiCol(AMapToData tm, IDictionary td, double[] v, int nCol)`
`void`
MapToBit.`preAggregateDDC_DDCSingleCol(AMapToData tm, double[] td, double[] v)`
`void`
MapToZero.`preAggregateDDC_DDCSingleCol(AMapToData tm, double[] td, double[] v)`
`final void`
AMapToData.`preAggregateDDC_SDCZ(AMapToData tm, IDictionary td, AOffset tof, Dictionary ret, int nCol)`
PreAggregate into SDCZero dictionary from DDC dictionary.
`void`
AMapToData.`preAggregateDDC_SDCZMultiCol(AMapToData tm, IDictionary td, AOffset tof, double[] v, int nCol)`
`void`
AMapToData.`preAggregateDDC_SDCZSingleCol(AMapToData tm, double[] td, AOffset tof, double[] v)`
`final void`
AMapToData.`preAggregateSDCZ_DDC(AMapToData tm, IDictionary td, AOffset of, Dictionary ret, int nCol)`
PreAggregate into DDC dictionary from SDCZero dictionary.
`final void`
AMapToData.`preAggregateSDCZ_SDCZ(AMapToData tm, IDictionary td, AOffset tof, AOffset of, Dictionary ret, int nCol)`
`static AMapToData`
MapToFactory.`resizeForce(AMapToData d, MapToFactory.MAP_TYPE t)`
Force the mapping into an other mapping type.
`abstract void`
AMapToData.`set(int l, int u, int off, AMapToData tm)`
set a range of values from another map.
`void`
MapToBit.`set(int l, int u, int off, AMapToData tm)`
`void`
MapToByte.`set(int l, int u, int off, AMapToData tm)`
`void`
MapToChar.`set(int l, int u, int off, AMapToData tm)`
`void`
MapToCharPByte.`set(int l, int u, int off, AMapToData tm)`
`void`
MapToInt.`set(int l, int u, int off, AMapToData tm)`
`void`
MapToZero.`set(int l, int u, int off, AMapToData tm)`

## Uses of AMapToData in org.apache.sysds.runtime.compress.colgroup.offset

Methods in org.apache.sysds.runtime.compress.colgroup.offset with parameters of type AMapToData
Modifier and Type
Method
Description
`final void`
AOffset.`preAggregateDenseMap(DenseBlock db, double[] preAV, int rl, int ru, int cl, int cu, int nVal, AMapToData data)`
Pre aggregate the specified row and block range from a dense MatrixBlock to prepare for compressed multiplication.
`final void`
AOffset.`preAggSparseMap(SparseBlock sb, double[] preAV, int rl, int ru, int nVal, AMapToData data)`

## Uses of AMapToData in org.apache.sysds.runtime.compress.estim.encoding

Methods in org.apache.sysds.runtime.compress.estim.encoding that return AMapToData
Modifier and Type
Method
Description
`AMapToData`
DenseEncoding.`getMap()`
`AMapToData`
SparseEncoding.`getMap()`
Methods in org.apache.sysds.runtime.compress.estim.encoding with parameters of type AMapToData
Modifier and Type
Method
Description
`static IEncode`
EncodingFactory.`create(AMapToData d)`
`static IEncode`
EncodingFactory.`create(AMapToData d, AOffset i, int nRow)`
`static SparseEncoding`
EncodingFactory.`createSparse(AMapToData map, AOffset off, int nRows)`
Constructors in org.apache.sysds.runtime.compress.estim.encoding with parameters of type AMapToData
Modifier
Constructor
Description
``
`DenseEncoding(AMapToData map)`

## Uses of AMapToData in org.apache.sysds.runtime.frame.data.columns

Methods in org.apache.sysds.runtime.frame.data.columns that return AMapToData
Modifier and Type
Method
Description
`AMapToData`
DDCArray.`getMap()`
Methods in org.apache.sysds.runtime.frame.data.columns with parameters of type AMapToData
Modifier and Type
Method
Description
`void`
Array.`setM(HashMapToInt<T> map, int si, AMapToData m, int i)`
Set the index i in the map given based on the mapping provided.
`void`
Array.`setM(HashMapToInt<T> map, AMapToData m, int i)`
Set the index i in the map given based on the mapping provided.
`void`
HashIntegerArray.`setM(HashMapToInt<Object> map, int si, AMapToData m, int i)`
`void`
HashIntegerArray.`setM(HashMapToInt<Object> map, AMapToData m, int i)`
`void`
HashLongArray.`setM(HashMapToInt<Object> map, int si, AMapToData m, int i)`
`void`
HashLongArray.`setM(HashMapToInt<Object> map, AMapToData m, int i)`
`void`
OptionalArray.`setM(HashMapToInt<T> map, int si, AMapToData m, int i)`
`void`
OptionalArray.`setM(HashMapToInt<T> map, AMapToData m, int i)`
`DDCArray<T>`
DDCArray.`setMap(AMapToData map)`
Constructors in org.apache.sysds.runtime.frame.data.columns with parameters of type AMapToData
Modifier
Constructor
Description
``
`DDCArray(Array<T> dict, AMapToData map)`